
From: Pavel Machek <pavel@ucw.cz>

Fix few typos/thinkos in ipw, remove ugly macro (it is commented around,
anyway), and fix types passed to pci_set_power_state.


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/wireless/ipw2100.c |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

diff -puN drivers/net/wireless/ipw2100.c~ipw2100-small-cleanups drivers/net/wireless/ipw2100.c
--- devel/drivers/net/wireless/ipw2100.c~ipw2100-small-cleanups	2005-07-09 01:23:59.000000000 -0700
+++ devel-akpm/drivers/net/wireless/ipw2100.c	2005-07-09 01:25:03.000000000 -0700
@@ -927,7 +927,7 @@ static int sw_reset_and_clock(struct ipw
 }
 
 /*********************************************************************
-    Procedure   :   ipw2100_ipw2100_download_firmware
+    Procedure   :   ipw2100_download_firmware
     Purpose     :   Initiaze adapter after power on.
                     The sequence is:
                     1. assert s/w reset first!
@@ -1194,7 +1194,6 @@ static int ipw2100_get_hw_features(struc
  */
 static int ipw2100_start_adapter(struct ipw2100_priv *priv)
 {
-#define IPW_WAIT_FW_INIT_COMPLETE_DELAY (40 * HZ / 1000)
 	int i;
 	u32 inta, inta_mask, gpio;
 
@@ -1231,7 +1230,7 @@ static int ipw2100_start_adapter(struct 
 	i = 5000;
 	do {
   		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(IPW_WAIT_FW_INIT_COMPLETE_DELAY);
+		schedule_timeout(40 * HZ / 1000);
 		/* Todo... wait for sync command ... */
 
 		read_register(priv->net_dev, IPW_REG_INTA, &inta);
@@ -1696,7 +1695,7 @@ static int ipw2100_up(struct ipw2100_pri
 	} else
 		priv->status |= STATUS_POWERED;
 
-	/* Load the firmeware, start the clocks, etc. */
+	/* Load the firmware, start the clocks, etc. */
 	if (ipw2100_start_adapter(priv)) {
 	       	IPW_DEBUG_ERROR("%s: Failed to start the firmware.\n",
 				priv->net_dev->name);
@@ -6500,7 +6499,7 @@ static int ipw2100_pci_init_one(struct p
 	if ((val & 0x0000ff00) != 0)
 		pci_write_config_dword(pci_dev, 0x40, val & 0xffff00ff);
 
-	pci_set_power_state(pci_dev, 0);
+	pci_set_power_state(pci_dev, PCI_D0);
 
 	if (!ipw2100_hw_is_adapter_in_system(dev)) {
 		printk(KERN_WARNING DRV_NAME
@@ -8036,7 +8035,7 @@ static iw_handler ipw2100_wx_handlers[] 
         ipw2100_wx_set_wap,       /* SIOCSIWAP */
         ipw2100_wx_get_wap,       /* SIOCGIWAP */
         NULL,                     /* -- hole -- */
-        NULL,                     /* SIOCGIWAPLIST -- depricated */
+        NULL,                     /* SIOCGIWAPLIST -- deprecated */
         ipw2100_wx_set_scan,      /* SIOCSIWSCAN */
         ipw2100_wx_get_scan,      /* SIOCGIWSCAN */
         ipw2100_wx_set_essid,     /* SIOCSIWESSID */
_
